Consider where you wish to finish, and that will tell you where to start. The Kingdom of Aden is in chaos, because they are at war with Elmore, and with Gracia across the sea. What better time will there be to restore the Elven people to their ancient greatness?
For now, the most important thing is to simply hone your skills in combat. What could be a greater priority in this time of war?
Begin your training by hunting red keltirs or wolves near the village. Be cautious, particularly with the wolves, for they are very savage. When you find an item after slaying a monster, try to equip any armour or weapon, and see if it's better than what you have now. For the rest, if you have no other use for it, sell it at the stores, so you will have adena when you need it.
Return